extends ../template.pug

block stylesheets
    link(rel="stylesheet", href="/static/stylesheets/item.css")

block content
    .container
        h1 Ajout d’un article
        form(action="/item/createItem", method="post")
            .form-group
                input(class="form-control" type="text", name="ref" placeholder="Référence")
                if errors.ref
                    .alert.alert-danger.mt-2 #{errors.ref.msg}
            .form-group
                input(class="form-control" type="text" name="name" placeholder="Nom")
                if errors.name
                    .alert.alert-danger.mt-2 #{errors.name.msg}
            .form-group
                input(class="form-control" type="text" name="quantity" placeholder="Quantité")
                if errors.quantity
                    .alert.alert-danger.mt-2 #{errors.quantity.msg}
            .form-group
                input(class="form-control" type="text", name="price" placeholder="Prix")
                if errors.price
                    .alert.alert-danger.mt-2 #{errors.price.msg}
            if admin
                .form-group
                    label(for="selectSection") Rayon
                    select(class="form-control" name="selectSection")
                        each value in sectionDAO
                            option(value=value.id) #{value.nom}
                .form-group
                    label(for="selectShop") Magasin
                    select(class="form-control" name="selectShop")
                        each value in shopDAO
                                option(value=value.id) #{value.nom} - #{value.ville}
            .form-group
                input(type="submit" class="btn btn-block btn-success" value="Ajouter un article")